Bug 239575 - crack uses obsolete sort option syntax
crack uses obsolete sort option syntax
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: crack (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christian Iseli
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-09 12:15 EDT by Ahmon Dancy
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 5.0a-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-12 15:59:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ahmon Dancy 2007-05-09 12:15:25 EDT
Description of problem:

/usr/bin/Crack specifies an obsolete sort option syntax which doesn't work on FC5. 


Version-Release number of selected component (if applicable):

crack-5.0a-3.fc5

Invoked: /usr/bin/Crack target.passwd

Crack: The dictionaries seem up to date...
Crack: Sorting out and merging feedback, please be patient...
Crack: Merging password files...
cat: run/F-merged: No such file or directory
sort: open failed: +1: No such file or directory
Crack: Creating gecos-derived dictionaries
mkgecosd: making non-permuted words dictionary
mkgecosd: making permuted words dictionary
Crack: launching: cracker -kill run/Khostname.31051   


Proposed fix:
Change line 329 of /usr/bin/Crack from
crack-sort -t: +1
to
crack-sort -t: -k 2
Comment 1 Christian Iseli 2007-05-10 06:56:45 EDT
Thanks for the report.  I'll look into it shortly.
Comment 2 Christian Iseli 2007-05-12 15:59:55 EDT
Fixed, rebuilt, and pushed for FC-5, FC-6, and devel.

Note You need to log in before you can comment on or make changes to this bug.